com.lowagie.toolbox.plugins

## Class DvdCover

- java.lang.Object
- - com.lowagie.toolbox.AbstractTool
  - - com.lowagie.toolbox.plugins.DvdCover

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.util.EventListener

      public class DvdCover
      extends AbstractTool

  This is a simple tool that generates a cover for a DVD.
  Since:
    2.1.1 (imported from itexttoolbox project)

- - ### Field Summary

    - ### Fields inherited from class com.lowagie.toolbox.AbstractTool

      `arguments, internalFrame, MENU_EXECUTE, MENU_EXECUTE_PRINT, MENU_EXECUTE_PRINT_SILENT, MENU_EXECUTE_SHOW, menuoptions, versionsarray`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DvdCover()` Constructs a DvdCover object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `createFrame()` Creates the internal frame.
    `void` | `execute()` Executes the tool (in most cases this generates a PDF file).
    `protected java.io.File` | `getDestPathPDF()` Gets the PDF file that should be generated (or null if the output isn't a PDF file).
    `static void` | `main(java.lang.String[] args)` Generates a DVD Cover in PDF.
    `void` | `valueHasChanged(AbstractArgument arg)` Indicates that the value of an argument has changed.

    - ### Methods inherited from class com.lowagie.toolbox.AbstractTool

      `actionPerformed, addVersion, getArguments, getInternalFrame, getMenubar, getUsage, getValue, setArguments, setInternalFrame, setMainArguments, setMenubar`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DvdCover

          public DvdCover()

      Constructs a DvdCover object.

  - ### Method Detail

    - #### createFrame

          protected void createFrame()

      Description copied from class: `AbstractTool`
      Creates the internal frame.
      Specified by:
        `createFrame` in class `AbstractTool`
      See Also:
        `AbstractTool.createFrame()`

    - #### execute

          public void execute()

      Description copied from class: `AbstractTool`
      Executes the tool (in most cases this generates a PDF file).
      Specified by:
        `execute` in class `AbstractTool`
      See Also:
        `AbstractTool.execute()`

    - #### valueHasChanged

          public void valueHasChanged(AbstractArgument arg)

      Description copied from class: `AbstractTool`
      Indicates that the value of an argument has changed.
      Specified by:
        `valueHasChanged` in class `AbstractTool`
      Parameters:
        `arg` - StringArgument
      See Also:
        `AbstractTool.valueHasChanged(com.lowagie.toolbox.arguments.AbstractArgument)`

    - #### main

          public static void main(java.lang.String[] args)

      Generates a DVD Cover in PDF.
      Parameters:
        `args` - an array containing [0] a filename [1] a title [2] a backgroundcolor [3] a front image [4] a back image [5] a side image

    - #### getDestPathPDF

          protected java.io.File getDestPathPDF()
                                         throws java.lang.InstantiationException

      Description copied from class: `AbstractTool`
      Gets the PDF file that should be generated (or null if the output isn't a PDF file).
      Specified by:
        `getDestPathPDF` in class `AbstractTool`
      Returns:
        File
      Throws:
        `java.lang.InstantiationException`
      See Also:
        `AbstractTool.getDestPathPDF()`